import { ElementRef, OnChanges, OnInit } from '@angular/core';
import { ILogger } from '@descope/web-component';
import { DescopeAuthConfig } from '../../types/types';
import * as i0 from "@angular/core";
export declare class AuditManagementComponent implements OnInit, OnChanges {
    private elementRef;
    projectId: string;
    baseUrl?: string;
    baseStaticUrl?: string;
    baseCdnUrl?: string;
    tenant: string;
    widgetId: string;
    theme: 'light' | 'dark' | 'os';
    debug: boolean;
    logger: ILogger;
    styleId: string;
    private readonly webComponent;
    constructor(elementRef: ElementRef, descopeConfig: DescopeAuthConfig);
    ngOnInit(): void;
    ngOnChanges(): void;
    private setupWebComponent;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuditManagementComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AuditManagementComponent, "audit-management[tenant]", never, { "tenant": { "alias": "tenant"; "required": false; }; "widgetId": { "alias": "widgetId"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "debug": { "alias": "debug"; "required": false; }; "logger": { "alias": "logger"; "required": false; }; "styleId": { "alias": "styleId"; "required": false; }; }, {}, never, never, true, never>;
}
