import { ModuleWithProviders } from '@angular/core';
import { DescopeAuthConfig } from './types/types';
import * as i0 from "@angular/core";
import * as i1 from "./components/descope/descope.component";
import * as i2 from "./components/sign-in-flow/sign-in-flow.component";
import * as i3 from "./components/sign-up-flow/sign-up-flow.component";
import * as i4 from "./components/sign-up-or-in-flow/sign-up-or-in-flow.component";
import * as i5 from "./components/user-management/user-management.component";
import * as i6 from "./components/role-management/role-management.component";
import * as i7 from "./components/access-key-management/access-key-management.component";
import * as i8 from "./components/audit-management/audit-management.component";
import * as i9 from "./components/user-profile/user-profile.component";
import * as i10 from "./components/applications-portal/applications-portal.component";
export declare class DescopeAuthModule {
    constructor(parentModule?: DescopeAuthModule);
    static forRoot(config?: DescopeAuthConfig): ModuleWithProviders<DescopeAuthModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DescopeAuthModule, [{ optional: true; skipSelf: true; }]>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DescopeAuthModule, never, [typeof i1.DescopeComponent, typeof i2.SignInFlowComponent, typeof i3.SignUpFlowComponent, typeof i4.SignUpOrInFlowComponent, typeof i5.UserManagementComponent, typeof i6.RoleManagementComponent, typeof i7.AccessKeyManagementComponent, typeof i8.AuditManagementComponent, typeof i9.UserProfileComponent, typeof i10.ApplicationsPortalComponent], [typeof i1.DescopeComponent, typeof i2.SignInFlowComponent, typeof i3.SignUpFlowComponent, typeof i4.SignUpOrInFlowComponent, typeof i5.UserManagementComponent, typeof i6.RoleManagementComponent, typeof i7.AccessKeyManagementComponent, typeof i8.AuditManagementComponent, typeof i9.UserProfileComponent, typeof i10.ApplicationsPortalComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DescopeAuthModule>;
}
